<?php
$tdataparticipante_acumulado = array();
$tdataparticipante_acumulado[".searchableFields"] = array();
$tdataparticipante_acumulado[".ShortName"] = "participante_acumulado";
$tdataparticipante_acumulado[".OwnerID"] = "";
$tdataparticipante_acumulado[".OriginalTable"] = "pro_participante";


$tdataparticipante_acumulado[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdataparticipante_acumulado[".originalPagesByType"] = $tdataparticipante_acumulado[".pagesByType"];
$tdataparticipante_acumulado[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdataparticipante_acumulado[".originalPages"] = $tdataparticipante_acumulado[".pages"];
$tdataparticipante_acumulado[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdataparticipante_acumulado[".originalDefaultPages"] = $tdataparticipante_acumulado[".defaultPages"];

//	field labels
$fieldLabelsparticipante_acumulado = array();
$fieldToolTipsparticipante_acumulado = array();
$pageTitlesparticipante_acumulado = array();
$placeHoldersparticipante_acumulado = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsparticipante_acumulado["Spanish"] = array();
	$fieldToolTipsparticipante_acumulado["Spanish"] = array();
	$placeHoldersparticipante_acumulado["Spanish"] = array();
	$pageTitlesparticipante_acumulado["Spanish"] = array();
	$fieldLabelsparticipante_acumulado["Spanish"]["id"] = "Id";
	$fieldToolTipsparticipante_acumulado["Spanish"]["id"] = "";
	$placeHoldersparticipante_acumulado["Spanish"]["id"] = "";
	$fieldLabelsparticipante_acumulado["Spanish"]["placa"] = "Placa";
	$fieldToolTipsparticipante_acumulado["Spanish"]["placa"] = "";
	$placeHoldersparticipante_acumulado["Spanish"]["placa"] = "";
	$fieldLabelsparticipante_acumulado["Spanish"]["tipo_vehiculo"] = "Tipo Vehiculo";
	$fieldToolTipsparticipante_acumulado["Spanish"]["tipo_vehiculo"] = "";
	$placeHoldersparticipante_acumulado["Spanish"]["tipo_vehiculo"] = "";
	$fieldLabelsparticipante_acumulado["Spanish"]["Participante"] = "Participante";
	$fieldToolTipsparticipante_acumulado["Spanish"]["Participante"] = "";
	$placeHoldersparticipante_acumulado["Spanish"]["Participante"] = "";
	$fieldLabelsparticipante_acumulado["Spanish"]["VOLUMEN_TOTAL"] = "VOLUMEN TOTAL";
	$fieldToolTipsparticipante_acumulado["Spanish"]["VOLUMEN_TOTAL"] = "";
	$placeHoldersparticipante_acumulado["Spanish"]["VOLUMEN_TOTAL"] = "";
	$fieldLabelsparticipante_acumulado["Spanish"]["CARGAS"] = "CARGAS";
	$fieldToolTipsparticipante_acumulado["Spanish"]["CARGAS"] = "";
	$placeHoldersparticipante_acumulado["Spanish"]["CARGAS"] = "";
	if (count($fieldToolTipsparticipante_acumulado["Spanish"]))
		$tdataparticipante_acumulado[".isUseToolTips"] = true;
}


	$tdataparticipante_acumulado[".NCSearch"] = true;



$tdataparticipante_acumulado[".shortTableName"] = "participante_acumulado";
$tdataparticipante_acumulado[".nSecOptions"] = 0;

$tdataparticipante_acumulado[".mainTableOwnerID"] = "";
$tdataparticipante_acumulado[".entityType"] = 1;
$tdataparticipante_acumulado[".connId"] = "bsn_dividendos_at_localhost";


$tdataparticipante_acumulado[".strOriginalTableName"] = "pro_participante";

	



$tdataparticipante_acumulado[".showAddInPopup"] = false;

$tdataparticipante_acumulado[".showEditInPopup"] = false;

$tdataparticipante_acumulado[".showViewInPopup"] = false;

$tdataparticipante_acumulado[".listAjax"] = false;
//	temporary
//$tdataparticipante_acumulado[".listAjax"] = false;

	$tdataparticipante_acumulado[".audit"] = true;

	$tdataparticipante_acumulado[".locking"] = true;


$pages = $tdataparticipante_acumulado[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataparticipante_acumulado[".edit"] = true;
	$tdataparticipante_acumulado[".afterEditAction"] = 1;
	$tdataparticipante_acumulado[".closePopupAfterEdit"] = 1;
	$tdataparticipante_acumulado[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataparticipante_acumulado[".add"] = true;
$tdataparticipante_acumulado[".afterAddAction"] = 1;
$tdataparticipante_acumulado[".closePopupAfterAdd"] = 1;
$tdataparticipante_acumulado[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataparticipante_acumulado[".list"] = true;
}



$tdataparticipante_acumulado[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataparticipante_acumulado[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataparticipante_acumulado[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataparticipante_acumulado[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataparticipante_acumulado[".printFriendly"] = true;
}



$tdataparticipante_acumulado[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataparticipante_acumulado[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataparticipante_acumulado[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataparticipante_acumulado[".isUseAjaxSuggest"] = true;



																																	

$tdataparticipante_acumulado[".ajaxCodeSnippetAdded"] = false;

$tdataparticipante_acumulado[".buttonsAdded"] = false;

$tdataparticipante_acumulado[".addPageEvents"] = false;

// use timepicker for search panel
$tdataparticipante_acumulado[".isUseTimeForSearch"] = false;


$tdataparticipante_acumulado[".badgeColor"] = "9ACD32";


$tdataparticipante_acumulado[".allSearchFields"] = array();
$tdataparticipante_acumulado[".filterFields"] = array();
$tdataparticipante_acumulado[".requiredSearchFields"] = array();

$tdataparticipante_acumulado[".googleLikeFields"] = array();
$tdataparticipante_acumulado[".googleLikeFields"][] = "placa";



$tdataparticipante_acumulado[".tableType"] = "list";

$tdataparticipante_acumulado[".printerPageOrientation"] = 0;
$tdataparticipante_acumulado[".nPrinterPageScale"] = 100;

$tdataparticipante_acumulado[".nPrinterSplitRecords"] = 40;

$tdataparticipante_acumulado[".geocodingEnabled"] = false;







$tdataparticipante_acumulado[".noRecordsFirstPage"] = true;



$tdataparticipante_acumulado[".pageSize"] = 30;

$tdataparticipante_acumulado[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataparticipante_acumulado[".strOrderBy"] = $tstrOrderBy;

$tdataparticipante_acumulado[".orderindexes"] = array();


$tdataparticipante_acumulado[".sqlHead"] = "SELECT pro_participante.id,  concat(pro_participante.ci, '-', pro_participante.apellido_paterno, ' ', pro_participante.apellido_materno, ' ', pro_participante.nombres) AS Participante,  pro_participante.tipo_vehiculo,  pro_participante.placa,  placas_total.VOLUMEN_TOTAL,  placas_total.CARGAS";
$tdataparticipante_acumulado[".sqlFrom"] = "FROM pro_participante  INNER JOIN placas_total ON pro_participante.placa = placas_total.PLACA  INNER JOIN promocion ON pro_participante.id_promocion = promocion.id_promocion";
$tdataparticipante_acumulado[".sqlWhereExpr"] = "(promocion.estado = 1)";
$tdataparticipante_acumulado[".sqlTail"] = "";

//fill array of tabs for list page
$arrGridTabs = array();
$arrGridTabs[] = array(
	'tabId' => "",
	'name' => "All data",
	'nameType' => 'Text',
	'where' => "",
	'showRowCount' => 0,
	'hideEmpty' => 0,
);
$tdataparticipante_acumulado[".arrGridTabs"] = $arrGridTabs;









//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataparticipante_acumulado[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataparticipante_acumulado[".arrGroupsPerPage"] = $arrGPP;

$tdataparticipante_acumulado[".highlightSearchResults"] = true;

$tableKeysparticipante_acumulado = array();
$tableKeysparticipante_acumulado[] = "id";
$tdataparticipante_acumulado[".Keys"] = $tableKeysparticipante_acumulado;


$tdataparticipante_acumulado[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Participante_Acumulado","id");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

		$fdata["sourceSingle"] = "id";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataparticipante_acumulado["id"] = $fdata;
		$tdataparticipante_acumulado[".searchableFields"][] = "id";
//	Participante
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Participante";
	$fdata["GoodName"] = "Participante";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Participante_Acumulado","Participante");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Participante";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "concat(pro_participante.ci, '-', pro_participante.apellido_paterno, ' ', pro_participante.apellido_materno, ' ', pro_participante.nombres)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataparticipante_acumulado["Participante"] = $fdata;
		$tdataparticipante_acumulado[".searchableFields"][] = "Participante";
//	tipo_vehiculo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "tipo_vehiculo";
	$fdata["GoodName"] = "tipo_vehiculo";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Participante_Acumulado","tipo_vehiculo");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "tipo_vehiculo";

		$fdata["sourceSingle"] = "tipo_vehiculo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.tipo_vehiculo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "aux";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_aux";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombre";

				$edata["LookupWhere"] = "valor like 'TIPO_VEHICULO'";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataparticipante_acumulado["tipo_vehiculo"] = $fdata;
		$tdataparticipante_acumulado[".searchableFields"][] = "tipo_vehiculo";
//	placa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "placa";
	$fdata["GoodName"] = "placa";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Participante_Acumulado","placa");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "placa";

		$fdata["sourceSingle"] = "placa";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.placa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "placas_total";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 2;

	
		
	$edata["LinkField"] = "PLACA";
	$edata["LinkFieldType"] = 200;
	$edata["DisplayField"] = "PLACA";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Placa %value% ya fue registrado", "messageType" => "Text");

	
//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataparticipante_acumulado["placa"] = $fdata;
		$tdataparticipante_acumulado[".searchableFields"][] = "placa";
//	VOLUMEN_TOTAL
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "VOLUMEN_TOTAL";
	$fdata["GoodName"] = "VOLUMEN_TOTAL";
	$fdata["ownerTable"] = "placas_total";
	$fdata["Label"] = GetFieldLabel("Participante_Acumulado","VOLUMEN_TOTAL");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "VOLUMEN_TOTAL";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "placas_total.VOLUMEN_TOTAL";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataparticipante_acumulado["VOLUMEN_TOTAL"] = $fdata;
		$tdataparticipante_acumulado[".searchableFields"][] = "VOLUMEN_TOTAL";
//	CARGAS
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "CARGAS";
	$fdata["GoodName"] = "CARGAS";
	$fdata["ownerTable"] = "placas_total";
	$fdata["Label"] = GetFieldLabel("Participante_Acumulado","CARGAS");
	$fdata["FieldType"] = 20;


	
	
			

		$fdata["strField"] = "CARGAS";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "placas_total.CARGAS";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataparticipante_acumulado["CARGAS"] = $fdata;
		$tdataparticipante_acumulado[".searchableFields"][] = "CARGAS";


$tables_data["Participante_Acumulado"]=&$tdataparticipante_acumulado;
$field_labels["Participante_Acumulado"] = &$fieldLabelsparticipante_acumulado;
$fieldToolTips["Participante_Acumulado"] = &$fieldToolTipsparticipante_acumulado;
$placeHolders["Participante_Acumulado"] = &$placeHoldersparticipante_acumulado;
$page_titles["Participante_Acumulado"] = &$pageTitlesparticipante_acumulado;


changeTextControlsToDate( "Participante_Acumulado" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["Participante_Acumulado"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["Participante_Acumulado"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_participante_acumulado()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "pro_participante.id,  concat(pro_participante.ci, '-', pro_participante.apellido_paterno, ' ', pro_participante.apellido_materno, ' ', pro_participante.nombres) AS Participante,  pro_participante.tipo_vehiculo,  pro_participante.placa,  placas_total.VOLUMEN_TOTAL,  placas_total.CARGAS";
$proto0["m_strFrom"] = "FROM pro_participante  INNER JOIN placas_total ON pro_participante.placa = placas_total.PLACA  INNER JOIN promocion ON pro_participante.id_promocion = promocion.id_promocion";
$proto0["m_strWhere"] = "(promocion.estado = 1)";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "promocion.estado = 1";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "promocion",
	"m_srcTableName" => "Participante_Acumulado"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "= 1";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "Participante_Acumulado"
));

$proto6["m_sql"] = "pro_participante.id";
$proto6["m_srcTableName"] = "Participante_Acumulado";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$proto9=array();
$proto9["m_functiontype"] = "SQLF_CUSTOM";
$proto9["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "pro_participante.ci"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "'-'"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "pro_participante.apellido_paterno"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "pro_participante.apellido_materno"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto9["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "pro_participante.nombres"
));

$proto9["m_arguments"][]=$obj;
$proto9["m_strFunctionName"] = "concat";
$obj = new SQLFunctionCall($proto9);

$proto8["m_sql"] = "concat(pro_participante.ci, '-', pro_participante.apellido_paterno, ' ', pro_participante.apellido_materno, ' ', pro_participante.nombres)";
$proto8["m_srcTableName"] = "Participante_Acumulado";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "Participante";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_vehiculo",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "Participante_Acumulado"
));

$proto17["m_sql"] = "pro_participante.tipo_vehiculo";
$proto17["m_srcTableName"] = "Participante_Acumulado";
$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "placa",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "Participante_Acumulado"
));

$proto19["m_sql"] = "pro_participante.placa";
$proto19["m_srcTableName"] = "Participante_Acumulado";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "VOLUMEN_TOTAL",
	"m_strTable" => "placas_total",
	"m_srcTableName" => "Participante_Acumulado"
));

$proto21["m_sql"] = "placas_total.VOLUMEN_TOTAL";
$proto21["m_srcTableName"] = "Participante_Acumulado";
$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "CARGAS",
	"m_strTable" => "placas_total",
	"m_srcTableName" => "Participante_Acumulado"
));

$proto23["m_sql"] = "placas_total.CARGAS";
$proto23["m_srcTableName"] = "Participante_Acumulado";
$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto25=array();
$proto25["m_link"] = "SQLL_MAIN";
			$proto26=array();
$proto26["m_strName"] = "pro_participante";
$proto26["m_srcTableName"] = "Participante_Acumulado";
$proto26["m_columns"] = array();
$proto26["m_columns"][] = "apellido_materno";
$proto26["m_columns"][] = "apellido_paterno";
$proto26["m_columns"][] = "ci";
$proto26["m_columns"][] = "id";
$proto26["m_columns"][] = "id_promocion";
$proto26["m_columns"][] = "nombres";
$proto26["m_columns"][] = "placa";
$proto26["m_columns"][] = "procedencia";
$proto26["m_columns"][] = "telefono";
$proto26["m_columns"][] = "tipo_vehiculo";
$obj = new SQLTable($proto26);

$proto25["m_table"] = $obj;
$proto25["m_sql"] = "pro_participante";
$proto25["m_alias"] = "";
$proto25["m_srcTableName"] = "Participante_Acumulado";
$proto27=array();
$proto27["m_sql"] = "";
$proto27["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto27["m_column"]=$obj;
$proto27["m_contained"] = array();
$proto27["m_strCase"] = "";
$proto27["m_havingmode"] = false;
$proto27["m_inBrackets"] = false;
$proto27["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto27);

$proto25["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto25);

$proto0["m_fromlist"][]=$obj;
												$proto29=array();
$proto29["m_link"] = "SQLL_INNERJOIN";
			$proto30=array();
$proto30["m_strName"] = "placas_total";
$proto30["m_srcTableName"] = "Participante_Acumulado";
$proto30["m_columns"] = array();
$proto30["m_columns"][] = "CARGAS";
$proto30["m_columns"][] = "PLACA";
$proto30["m_columns"][] = "VOLUMEN_TOTAL";
$obj = new SQLTable($proto30);

$proto29["m_table"] = $obj;
$proto29["m_sql"] = "INNER JOIN placas_total ON pro_participante.placa = placas_total.PLACA";
$proto29["m_alias"] = "";
$proto29["m_srcTableName"] = "Participante_Acumulado";
$proto31=array();
$proto31["m_sql"] = "placas_total.PLACA = pro_participante.placa";
$proto31["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "PLACA",
	"m_strTable" => "placas_total",
	"m_srcTableName" => "Participante_Acumulado"
));

$proto31["m_column"]=$obj;
$proto31["m_contained"] = array();
$proto31["m_strCase"] = "= pro_participante.placa";
$proto31["m_havingmode"] = false;
$proto31["m_inBrackets"] = false;
$proto31["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto31);

$proto29["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto29);

$proto0["m_fromlist"][]=$obj;
												$proto33=array();
$proto33["m_link"] = "SQLL_INNERJOIN";
			$proto34=array();
$proto34["m_strName"] = "promocion";
$proto34["m_srcTableName"] = "Participante_Acumulado";
$proto34["m_columns"] = array();
$proto34["m_columns"][] = "codigo_aj";
$proto34["m_columns"][] = "descripcion";
$proto34["m_columns"][] = "estado";
$proto34["m_columns"][] = "fecha_fin";
$proto34["m_columns"][] = "fecha_inicial";
$proto34["m_columns"][] = "id_promocion";
$proto34["m_columns"][] = "nombre";
$obj = new SQLTable($proto34);

$proto33["m_table"] = $obj;
$proto33["m_sql"] = "INNER JOIN promocion ON pro_participante.id_promocion = promocion.id_promocion";
$proto33["m_alias"] = "";
$proto33["m_srcTableName"] = "Participante_Acumulado";
$proto35=array();
$proto35["m_sql"] = "promocion.id_promocion = pro_participante.id_promocion";
$proto35["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_promocion",
	"m_strTable" => "promocion",
	"m_srcTableName" => "Participante_Acumulado"
));

$proto35["m_column"]=$obj;
$proto35["m_contained"] = array();
$proto35["m_strCase"] = "= pro_participante.id_promocion";
$proto35["m_havingmode"] = false;
$proto35["m_inBrackets"] = false;
$proto35["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto35);

$proto33["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto33);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Participante_Acumulado";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_participante_acumulado = createSqlQuery_participante_acumulado();


	
		;

						

$tdataparticipante_acumulado[".sqlquery"] = $queryData_participante_acumulado;



$tdataparticipante_acumulado[".hasEvents"] = false;

?>